<?php
/**
 * Class that permits to load the errors list.
 */
class ResponseList {
    protected $format_classes;
    protected $format_archive_names;
    protected $debug_active;
    
    public function __construct($file = "config/responseFormats.xml") {
        $this->debug_active=false;
        $this->format_classes=array();
        $this->format_archive_names=array();
        $this->loadResponses($file);
        $this->error("W:".print_r($this->format_archive_names,1));
    }
    public function getFormatClass($scope) {
        return $this->format_classes[$scope];
    }
        public function getFormatArchiveName($scope) {
        return $this->format_archive_names[$scope];
    }
 
    public function hasFormatClass($scope) {
        return array_key_exists($scope, $this->format_classes);
    }

    public function hasFormatArchiveName($scope) {
        return array_key_exists($scope, $this->format_archive_names);
    }

    private function loadResponses($file) {
        $this->error("load responses");
        $xml = simplexml_load_file($file);
        $descs = array();
        $uris = array();
        if(strcmp($xml->getName(),"ResponseFormats")==0) {
            $arr = $xml->children();
            $aux =array();
            foreach($arr as $child) {
                $id=(String)$child['id'];                
                foreach($child->children() as $elementName => $elem) {
                    if(0==strcmp($elementName,"FormatClass")) {
                       $this->format_classes[$id] = (String)$elem;
                    }
                    if(0==strcmp($elementName,"FormatClassArchiveName")) {
                       $this->format_archive_names[$id] = (String)$elem;
                    }
                }
            }
        }else {
            header("HTTP/1.0 400 Bad Request");
            header("Content-Type: application/json");
            header("Cache-control:no-store");
            echo json_encode(array("error" => "Bad format of ResponseList.xml"));
        }
    }

     private function error($string) {
        if($this->debug_active) {
            error_log("ResponseList");
        }
    }
}
?>